Renamed "Assigned" in the default data to "In Progress"

2009-07-10 05:32 - Eric Davis

Status: Closed Start date: 2009-07-10

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

"Assigned" implies a connection to the Assigned To field.  I've heard from many people that get confused about it so I propose

changing the default data to use "In Progress" instead.  This would only affect new installs.

Anyone have a reason not to use "In Progress"?  If not, I'll make the change.

Associated revisions

Revision 2939 - 2009-10-20 07:06 - Eric Davis

Renamed the default "Assigned" status to "In Progress".  #3605

History

#1 - 2009-07-10 08:04 - Jean-Philippe Lang

+1

#2 - 2009-07-10 10:01 - Thomas Pihl

We use "In Progress" as a state in workflows all the time (and that could get confusing). In some installations we've renamed "Assigned" to

"Responsible" or "Owner" and explained it as who currently carries the issue. We mostly have longer workflows than the default ones.

"In progress" do signal that the issue has been accepted in some kind of handover.

If it is a handover, should we then limit choices to only empty and yourself? That could work for me, but would create some new problems when we

would like to ASK someone to do something (as a start of the handover).

A quick reading of this issue would give me something like "New, but in progress by Eric (who will update it when he is done)".

As you can see I'm a bit torn. Some nice integration with workflow might make things understandable and intuitive but I'm not even sure I can see an

optimal endstate. Complex issue.

Just my €0.02

/T

#3 - 2009-07-10 16:59 - Kirill Ponomarev

+1

#4 - 2009-10-20 07:03 - Eric Davis

- Status changed from New to Resolved

- Target version set to 0.8.6

- % Done changed from 0 to 100

- Resolution set to Fixed

I've renamed "Assigned" to "In Progress" in the data loader.  I changed all of the i18n language values for that field to English so it can be

re-translated.  r2939

#5 - 2009-10-26 18:42 - Stanislav German-Evtushenko

Eric Davis wrote:

I've renamed "Assigned" to "In Progress" in the data loader.  I changed all of the i18n language values for that field to English so it can be

re-translated.  r2939
https://www.redmine.org/projects/redmine/repository/svn/revisions/2939
https://www.redmine.org/projects/redmine/repository/svn/revisions/2939


Russian:

default_issue_status_in_progress: В работе

#6 - 2009-11-04 10:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 0.8.6 to 0.9.0

Target changed to 0.9 because of the lack of translations yet.
